<div class="title">
    <h1> Mes collaborateurs </h1>
    <fa-icon [icon]="faUserPlus" (click)="openDialog(AddUser)"></fa-icon>
</div>

<ul class=container>
    <li class="userSheet" *ngFor="let u of us ; index as i; even as isEven; odd as isOdd;">
        <div class="userSheetBar">
            <fa-icon class="pp" [icon]="faUser"></fa-icon>
            <span *ngIf="true"> {{u.firstname}}</span>

            <div *ngIf="globalVar.connectedUser?.type!.id > 2" class="tooltip">
                <ul class="tooltiptext" style="list-style-type: none; padding:10px">
                    <li (click)="changeDialog(u,SwitchManager)"class="tooltipicon"><span style="float:left;padding:5px;">Changer de manager <fa-icon  [icon]="faUserAstronaut"></fa-icon></span></li>
                    <li (click)="changeDialog(u,SwitchRoles)" class="tooltipicon"><span style="float:left;padding:5px;">Changer de rôle <fa-icon [icon]="faUserEdit"></fa-icon></span> </li>
                    <li (click)="removeUser(u.id)" class="tooltipicon"><span style="float:left;padding:5px;">Supprimer <fa-icon  [icon]="faTrash"></fa-icon></span></li>
                </ul>
                <fa-icon class="icon"  style="float:right" [icon]="faEllipsisH"></fa-icon>
            </div>

            <div *ngIf="globalVar.connectedUser?.type!.id <= 2" class="tooltip" id="managertooltip">
                <ul class="tooltiptext" id="managertooltiptext" style="list-style-type: none; padding:10px">
                    <li (click)="removeUser(u.id)" class="tooltipicon"><span style="float:left;padding:5px;">Supprimer
                            <fa-icon [icon]="faTrash"></fa-icon></span></li>
                </ul>
                <fa-icon class="icon"  style="float:right" [icon]="faEllipsisH"></fa-icon>
            </div>

            <fa-icon [icon]="faCalendar" class="icon" (click)="showAgenda(u,ShowAgenda)" style="float:right; padding-right:10px"></fa-icon>
        </div>
        <div class="userSheetContent">
            <ul class="info">
                <li class="infoItem"> <input class="itemValue" defaultValue="Prénom : {{u.firstname}}"> </li>
                <li class="infoItem"> <input class="itemValue" defaultValue="Nom : {{u.lastname}}"></li>
                <hr>
                <li class="infoItem"> <input class="itemValue" defaultValue="Login : {{u.login}}"></li>
                <!--<li class="infoItem"> <label style="width:10%">Mdp : </label>
                    <input class="itemValue" #password style="width:65%" type="password"  defaultValue="{{u.password}}">
                    <fa-icon class="showPassword" style="color: {{password.type=='password'?'#969696':'black'}}, width:15%" (click)="password.type=password.type=='password'?'text':'password'" [icon]="faEye"></fa-icon>
                </li>-->
                <hr>
                <li class="infoItem" *ngIf="u.type.id == 1"> <label class="itemValue">Rôle : Développeur</label></li>
                <li class="infoItem" *ngIf="u.type.id == 2"><label class="itemValue">Rôle : Manager</label></li>
                <li class="infoItem" *ngIf="u.type.id == 3"><label class="itemValue">Rôle : Administrateur</label></li>
            </ul>
        </div>
    </li>
</ul>


<ng-template #AddUser>
    <app-signin-form (childEvent)="addUser($event)" [roles]='roles'></app-signin-form>
</ng-template>

<ng-template #SwitchRoles>
    <app-role-panel (childEvent)="switchRole($event)" [user]='switchingUser'></app-role-panel>
</ng-template>  

<ng-template #SwitchManager>
    <app-manager-panel (childEvent)="switchManager($event)" [user]='switchingUser'></app-manager-panel>
</ng-template>  

<ng-template #ShowAgenda>
    <app-time-day [targetUser]="switchingUser"></app-time-day>
</ng-template>